---
updatedAt: 2026-05-06T14:42:15.000Z
agentTools:
  projectIndex: https://docs.crezco.com/llms.txt
---

# Get Pay Run Payable Schema

Creates the payable JSON schema for the requested country and currency.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Payables API",
    "description": "Crezco Partner API",
    "termsOfService": "https://www.crezco.com/terms",
    "contact": {
      "name": "Crezco Support",
      "url": "https://crezco.atlassian.net/servicedesk/customer/portals"
    },
    "version": "2025-01-31"
  },
  "servers": [
    {
      "url": "https://api.partners.uat.crezco.com",
      "description": "UAT server for acceptance testing. Live and sandbox banks."
    },
    {
      "url": "https://api.partners.crezco.com",
      "description": "Live server when your application is in Production. Live banks only."
    }
  ],
  "paths": {
    "/pay-runs/payables/schema": {
      "get": {
        "tags": [
          "Pay Runs"
        ],
        "summary": "Get Pay Run Payable Schema",
        "description": "Creates the payable JSON schema for the requested country and currency.",
        "parameters": [
          {
            "name": "Country",
            "in": "query",
            "description": "The country of the beneficiary's bank account. This is an ISO 3166-1 alpha-2 code.",
            "required": true,
            "schema": {
              "maxLength": 2,
              "minLength": 2,
              "type": "string",
              "description": "The country of the beneficiary's bank account. This is an ISO 3166-1 alpha-2 code."
            },
            "example": "GB"
          },
          {
            "name": "Currency",
            "in": "query",
            "description": "The currency of the beneficiary's bank account. This is an ISO 4217:2015 Alpha-3 currency code.",
            "required": true,
            "schema": {
              "maxLength": 85,
              "minLength": 1,
              "type": "string",
              "description": "The currency of the beneficiary's bank account. This is an ISO 4217:2015 Alpha-3 currency code."
            },
            "example": "GBP"
          },
          {
            "name": "Crezco-Version",
            "in": "header",
            "description": "The requested API version",
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "2025-01-31"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PayableJsonSchemaVersion4"
                }
              }
            }
          },
          "401": {
            "description": "You do not have access. Check your API key is correct.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "You do not have access to this organisation.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "406": {
            "description": "The version of the API that you requested is not available. Check your Crezco-Version header.\nIf you omit this header you will use the latest version of the API.            ",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "429": {
            "description": "You have made too many requests to the API in too short a period. Wait a while and try again.      ",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "HttpValidationProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          },
          "errors": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": {}
      },
      "JsonNode": {
        "type": "object",
        "additionalProperties": false
      },
      "JsonObjectSchemaVersion4": {
        "required": [
          "description",
          "properties",
          "required",
          "title"
        ],
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "readOnly": true
          },
          "title": {
            "type": "string",
            "description": "A Human readable title of the schema."
          },
          "description": {
            "type": "string",
            "description": "A Human readable description of the schema."
          },
          "properties": {
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "additionalProperties": {
                "$ref": "#/components/schemas/JsonNode"
              }
            },
            "description": "The properties of the schema."
          },
          "required": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "The required properties of the schema."
          }
        },
        "additionalProperties": false
      },
      "JsonPurposeCodeSchemaConstVersion4": {
        "required": [
          "const",
          "title"
        ],
        "type": "object",
        "properties": {
          "const": {
            "type": "string",
            "description": "Value for the purpose code.",
            "nullable": true
          },
          "title": {
            "type": "string",
            "description": "The title of the purpose code.",
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "PayableBeneficiaryBankAccountJsonSchemaDefinitionVersion4": {
        "required": [
          "oneOf"
        ],
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "readOnly": true
          },
          "oneOf": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/JsonObjectSchemaVersion4"
            },
            "description": "Possible schemas for the beneficiaries bank account of the payable."
          }
        },
        "additionalProperties": false
      },
      "PayableBeneficiaryJsonSchemaDefinitionVersion4": {
        "required": [
          "oneOf"
        ],
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "readOnly": true
          },
          "oneOf": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/JsonObjectSchemaVersion4"
            },
            "description": "Possible schemas for the beneficiary of the payable."
          }
        },
        "additionalProperties": false
      },
      "PayableJsonSchemaDefinitionsVersion4": {
        "required": [
          "bankAccount",
          "beneficiary",
          "beneficiaryAddress",
          "purposeCode"
        ],
        "type": "object",
        "properties": {
          "beneficiary": {
            "$ref": "#/components/schemas/PayableBeneficiaryJsonSchemaDefinitionVersion4"
          },
          "beneficiaryAddress": {
            "$ref": "#/components/schemas/JsonObjectSchemaVersion4"
          },
          "bankAccount": {
            "$ref": "#/components/schemas/PayableBeneficiaryBankAccountJsonSchemaDefinitionVersion4"
          },
          "purposeCode": {
            "$ref": "#/components/schemas/PayablePurposeCodeJsonSchemaDefinitionVersion4"
          }
        },
        "additionalProperties": false
      },
      "PayableJsonSchemaVersion4": {
        "required": [
          "$defs",
          "description",
          "properties",
          "required",
          "title"
        ],
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "readOnly": true
          },
          "title": {
            "type": "string",
            "description": "A Human readable title of the schema."
          },
          "description": {
            "type": "string",
            "description": "A Human readable description of the schema."
          },
          "properties": {
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "additionalProperties": {
                "$ref": "#/components/schemas/JsonNode"
              }
            },
            "description": "The properties of the schema."
          },
          "required": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "The required properties of the schema."
          },
          "$defs": {
            "$ref": "#/components/schemas/PayableJsonSchemaDefinitionsVersion4"
          }
        },
        "additionalProperties": false,
        "example": {
          "type": "object",
          "title": "Payable",
          "description": "Payable schema",
          "properties": {
            "partnerEntityId": {
              "type": "string"
            },
            "amount": {
              "type": "object",
              "properties": {
                "currencyCode": {
                  "type": "string"
                },
                "amountInMinorUnits": {
                  "type": "integer"
                }
              },
              "required": [
                "currencyCode",
                "amountInMinorUnits"
              ]
            },
            "beneficiary": {
              "ref": "#/$defs/beneficiary"
            },
            "reference": {
              "type": "string"
            },
            "isLowPriority": {
              "type": "boolean"
            },
            "purposeCode": {
              "ref": "#/$defs/purposeCode"
            },
            "invoice": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "number": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "date": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "date"
                }
              },
              "required": []
            }
          },
          "required": [
            "partnerEntityId",
            "amount",
            "beneficiary",
            "reference"
          ],
          "$defs": {
            "beneficiary": {
              "type": "object",
              "oneOf": [
                {
                  "type": "object",
                  "title": "Individual Beneficiary",
                  "description": "Individual Beneficiary",
                  "properties": {
                    "$type": {
                      "const": "Individual"
                    },
                    "firstName": {
                      "type": "string"
                    },
                    "lastName": {
                      "type": "string"
                    },
                    "address": {
                      "ref": "#/$defs/beneficiaryAddress"
                    },
                    "bankAccount": {
                      "ref": "#/$defs/bankAccount"
                    }
                  },
                  "required": [
                    "$type",
                    "firstName",
                    "lastName",
                    "address",
                    "bankAccount"
                  ]
                },
                {
                  "type": "object",
                  "title": "Organisation Beneficiary",
                  "description": "Organisation Beneficiary",
                  "properties": {
                    "$type": {
                      "const": "Organisation"
                    },
                    "companyName": {
                      "type": "string"
                    },
                    "address": {
                      "ref": "#/$defs/beneficiaryAddress"
                    },
                    "bankAccount": {
                      "ref": "#/$defs/bankAccount"
                    }
                  },
                  "required": [
                    "$type",
                    "companyName",
                    "address",
                    "bankAccount"
                  ]
                }
              ]
            },
            "beneficiaryAddress": {
              "type": "object",
              "title": "BeneficiaryAddress",
              "description": "Beneficiary address",
              "properties": {
                "street": {
                  "type": "string"
                },
                "city": {
                  "type": "string"
                },
                "region": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "country": {
                  "type": "string"
                },
                "postalCode": {
                  "type": "string"
                }
              },
              "required": [
                "street",
                "city",
                "country",
                "postalCode"
              ]
            },
            "bankAccount": {
              "type": "object",
              "oneOf": [
                {
                  "type": "object",
                  "title": "Priority",
                  "description": "Priority",
                  "properties": {
                    "country": {
                      "type": "string"
                    },
                    "accountCurrency": {
                      "type": "string"
                    },
                    "accountRoutingName": {
                      "type": "string"
                    },
                    "auAccountNumber": {
                      "type": "string"
                    },
                    "swiftBic": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "country",
                    "accountCurrency",
                    "accountRoutingName",
                    "auAccountNumber",
                    "swiftBic"
                  ]
                }
              ]
            },
            "purposeCode": {
              "title": "Payment Purpose Code",
              "description": "The purpose of the payment",
              "oneOf": [
                {
                  "const": "BusinessAndAdvisoryServices",
                  "title": "Business & Advisory Services"
                },
                {
                  "const": "Construction",
                  "title": "Construction"
                },
                {
                  "const": "DirectEmployeeSalaries",
                  "title": "Direct Employee Salaries"
                },
                {
                  "const": "Expenses",
                  "title": "Expenses"
                },
                {
                  "const": "Insurance",
                  "title": "Insurance"
                },
                {
                  "const": "IntellectualProperty",
                  "title": "Intellectual Property"
                },
                {
                  "const": "IntercompanyTransfer",
                  "title": "Intercompany Transfer"
                },
                {
                  "const": "InvestmentActivity",
                  "title": "Investment Activity"
                },
                {
                  "const": "PayingForGoods",
                  "title": "Paying for Goods"
                },
                {
                  "const": "RealEstateAndProperty",
                  "title": "Real Estate & Property"
                },
                {
                  "const": null
                }
              ],
              "not": {
                "anyOf": []
              }
            }
          }
        }
      },
      "PayableNotPurposeCodeJsonSchemaVersion4": {
        "required": [
          "anyOf"
        ],
        "type": "object",
        "properties": {
          "anyOf": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/JsonPurposeCodeSchemaConstVersion4"
            },
            "description": "Purpose code schemas that are not allowed."
          }
        },
        "additionalProperties": false
      },
      "PayablePurposeCodeJsonSchemaDefinitionVersion4": {
        "required": [
          "not",
          "oneOf"
        ],
        "type": "object",
        "properties": {
          "title": {
            "type": "string",
            "description": "A Human readable title of the schema.",
            "readOnly": true
          },
          "description": {
            "type": "string",
            "description": "A Human readable description of the schema.",
            "readOnly": true
          },
          "oneOf": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/JsonPurposeCodeSchemaConstVersion4"
            },
            "description": "Possible schemas for purpose codes."
          },
          "not": {
            "$ref": "#/components/schemas/PayableNotPurposeCodeJsonSchemaVersion4"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "Your API key for accessing the service. \n * Live keys start with `CZ01`\n * UAT keys start `CZSB01` \n\nYou should include the key in the `Authorization` header as a Bearer token like: \n\n`Authorization: Bearer CZSB01YOURKEY`\n\nYou can learn how to get your API key from the \n[Onboarding](https://crezco.readme.io/reference/managing-your-account#onboarding)\ndocumentation.",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```